Page MenuHomePhabricator

Enable empty plural variants
Closed, ResolvedPublic

Description

If we use "pywikibot/i18n.py" and we have a message with this form:

remove link{{PLURAL:$1||s}}

the expected result is:

  • $1 = 1 -> remove link
  • $1 > 1 -> remove links

but the result currently obtained is:

  • $1 = 1 -> remove links
  • $1 > 1 -> WARNING: requested plural True for counter but only 1 ("s") provided

It seems that the first blank parameter is ignored.

Details

Related Gerrit Patches:

Event Timeline

Beta16 created this task.Feb 1 2016, 4:58 PM
Beta16 raised the priority of this task from to Medium.
Beta16 updated the task description. (Show Details)
Beta16 added a project: Pywikibot-i18n.
Beta16 added a subscriber: Beta16.
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptFeb 1 2016, 4:58 PM
Xqt added a subscriber: XZise.Mar 17 2016, 2:53 PM
Xqt claimed this task.Mar 17 2016, 3:37 PM

Change 278015 had a related patch set uploaded (by Xqt):
[bugfix] Enable empty plural variant

https://gerrit.wikimedia.org/r/278015

Xqt raised the priority of this task from Medium to High.Mar 17 2016, 3:53 PM
Xqt renamed this task from Manage the plural form when there is not singular one to Enable empty plural variants.Mar 17 2016, 4:02 PM

Change 278015 merged by jenkins-bot:
[bugfix] Enable empty plural variant

https://gerrit.wikimedia.org/r/278015

Xqt closed this task as Resolved.Mar 19 2016, 2:02 PM